Subject: Re: [PATCH 3/3] [POWERPC] Kilauea DTS

From: Stefan Roese <[email-masked]>
Date: Thu, 11 Oct 2007 14:22:35 +0200

Hi Josh,

On Thursday 11 October 2007, Josh Boyer wrote:
> Ok, so how does the DTS file from the kernel get to U-Boot?  Since there
> is no defconfig provided and no wrapper bits, I'm assuming this port
> takes a raw uImage.  Is that correct?

Yes, correct.

> If so, do you expect a separate 
> DTB file to be built for this that is passed to U-Boot?

For booting on such a platform the "raw" uImage is needed plus the dtb file, 
generated from the dts file in arch/powerpc. At least that's how I'm doing 
it, and I'm still very new to this device tree stuff.

Best regards,
Stefan